Name:          mybatis
Version:       3.2.8
Release:       %mkrel 7
Group:         Development/Java
Summary:       SQL Mapping Framework for Java
License:       ASL 2.0
# http://code.google.com/p/mybatis/
URL:           http://www.mybatis.org/
Source0:       https://github.com/mybatis/mybatis-3/archive/%{name}-%{version}.tar.gz
# thanks to jhernand
# replace ognl ognl with apache-commons-ognl
Patch0:        %{name}-%{version}-commons-ognl.patch

BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.commons:commons-ognl)
BuildRequires: mvn(org.apache.logging.log4j:log4j-core)
BuildRequires: mvn(org.javassist:javassist)
BuildRequires: mvn(org.mybatis:mybatis-parent:pom:)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-site-plugin

# test deps
BuildRequires: mvn(commons-dbcp:commons-dbcp)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.derby:derby)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:specs:pom:)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(org.hsqldb:hsqldb)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(postgresql:postgresql)

BuildArch:     noarch

%description
The MyBatis data mapper framework makes it easier
to use a relational database with object-oriented
applications. MyBatis couples objects with stored
procedures or SQL statements using a XML descriptor
or annotations. Simplicity is the biggest advantage
of the MyBatis data mapper over object relational
mapping tools.

To use the MyBatis data mapper, you rely on your
own objects, XML, and SQL. There is little to
learn that you don't already know. With the
MyBatis data mapper, you have the full power of
both SQL and stored procedures at your fingertips. 

The MyBatis project is developed and maintained by
a team that includes the original creators of the
"iBATIS" data mapper. The Apache project was retired
and continued here.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-3-%{name}-%{version}

%patch0 -p1
%pom_remove_plugin :maven-pdf-plugin
%pom_remove_plugin :jarjar-maven-plugin
%pom_remove_plugin :cobertura-maven-plugin

%pom_remove_dep javax.transaction:transaction-api
%pom_add_dep org.apache.geronimo.specs:geronimo-jta_1.1_spec::test

sed -i 's/\r//' LICENSE NOTICE

# Fails on java8
rm -r src/test/java/org/apache/ibatis/parsing/GenericTokenParserTest.java

rm -r src/test/java/org/apache/ibatis/submitted/multipleresultsetswithassociation/MultipleResultSetTest.java \
 src/test/java/org/apache/ibatis/submitted/includes/IncludeTest.java \
 src/test/java/org/apache/ibatis/submitted/resultmapwithassociationstest/ResultMapWithAssociationsTest.java \
 src/test/java/org/apache/ibatis/submitted/nestedresulthandler_association/NestedResultHandlerAssociationTest.java \
 src/test/java/org/apache/ibatis/cache/{SoftCacheTest.java,WeakCacheTest.java}

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8
 
%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Thu May 12 2016 daviddavid <daviddavid> 3.2.8-7.mga6
+ Revision: 1014077
- disable two tests who always fails on our autobuild

* Wed Mar 02 2016 neoclust <neoclust> 3.2.8-6.mga6
+ Revision: 982226
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.2.8-5.mga6
+ Revision: 977307
- First rebuild of the java stack
- sync package mybatis with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jan 30 2015 daviddavid <daviddavid> 3.2.2-9.mga5
+ Revision: 812776
- disable tests failure
- fix group

* Wed Oct 15 2014 umeabot <umeabot> 3.2.2-8.mga5
+ Revision: 741787
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 3.2.2-5.mga4
+ Revision: 488483
- imported package mybatis


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 3.2.2-4
- switch to XMvn
- minor changes to adapt to current guideline

* Sat May 11 2013 gil cattaneo <puntogil@libero.it> 3.2.2-3
- rebuilt with mybatis-parent

* Sun Apr 21 2013 gil cattaneo <puntogil@libero.it> 3.2.2-2
- rebuilt with mybatis-parent
- run test suite with hsqldb 1.x

* Sat Apr 20 2013 gil cattaneo <puntogil@libero.it> 3.2.2-1
- update to 3.2.2

* Fri Apr 20 2012 gil cattaneo <puntogil@libero.it> 3.1.1-1
- initial rpm
